can you update to v2.5